dxr.mozilla.org/addons should show which addons are compatible with the current version of Firefox

NEW
Unassigned

Status

Webtools
DXR
a year ago
a year ago

People

(Reporter: florian, Unassigned)

Tracking

Trunk

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

a year ago
Before removing an API or a file from Firefox, it's common to verify in dxr.mozilla.org/addons how often the API is used by add-ons. Often I get lots of results from add-ons that seem relatively old, and it would be very useful to see at a glance if these are abandoned add-ons or if they can still be installed on the current version of Firefox.
Add-ons are compatible by default unless the developer or an admin overrides that (for add-ons listed on AMO). We also bump compatibility for them for every release if our automated tests (that check for changes in IDL, globals etc, based on bugs with with the bugzilla 'addon-compat' keyword) don't find any potential breakings.
Thus, I'm not sure whether you can reliably measure "abandonment" solely by compatibility.
You need to log in before you can comment on or make changes to this bug.